/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Defines a custom exception which is thrown if any error occurs when matching a file by a <code>FileMatcher</code>
 * instance, except for I/O errors. It may encapsulate the original cause of exception.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 2.0b
 * @since 1.0
 */
public class FileMatchingException extends FileStatisticsException {
    /**
     * <p>
     * Creates a new instance of <code>FileMatchingException</code> class with a detail error message.
     * </p>
     *
     * @param message a detail error message describing the error.
     */
    public FileMatchingException(String message) {
        super(message);
    }

    /**
     * <p>
     * Creates a new instance of <code>FileMatchingException</code> class with a detail error message and the
     * original exception causing the error.
     * </p>
     *
     * @param message a detail error message describing the error.
     * @param cause an exception representing the cause of the error.
     */
    public FileMatchingException(String message, Throwable cause) {
        super(message, cause);
    }
}




