/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Defines a custom exception which is thrown when a mandatory argument is missing or validation of the argument value
 * causes error. It is thrown before calling the <code>handleArguments</code> method of <code>ArgumentHandler</code>
 * implementations.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 2.0b
 * @since 2.0b
 */
public class MissingInitializationException extends RuntimeException {
    /**
     * <p>
     * Creates a new instance of <code>MissingInitializationException</code> class with a detail error message.
     * </p>
     *
     * @param message a detail error message describing the error.
     */
    public MissingInitializationException(String message) {
        super(message);
    }
}
