/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics;

import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * Defines a mock <code>FileMatcher</code> and <code>ArgumentHandler</code> implementation.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 2.0b
 * @since 2.0b
 */
public class MockFileMatcher implements ArgumentHandler, FileMatcher {
    /**
     * <p>
     * Defines a mock implementation of <code>ArgumentHandler</code>.
     * </p>
     *
     * @return an empty list.
     */
    public List proposeOptions() {
        return new ArrayList();
    }

    /**
     * <p>
     * Defines a mock implementation of <code>ArgumentHandler</code>.
     * </p>
     *
     * @param arguments a mock argument.
     */
    public void handleArguments(Map arguments) {

    }

    /**
     * <p>
     * Defines a mock implementation of <code>FileMatcher</code>.
     * </p>
     *
     * @param file a mock argument.
     *
     * @return <code>false</code>.
     */
    public boolean match(File file) {
        return false;
    }
}
